#version 330 core
//layout (location = 0) in vec4 vertex; // <vec2 pos, vec2 tex>
layout (location = 0) in vec3 vertex;
layout (location = 1) in vec2 vTexCoord; // loc+3 float not vec
out vec2 TexCoords;

uniform mat4 MVP;
uniform mat4 projection;

void main()
{
    //gl_Position = MVP * vec4(vertex.xy, 0.0, 1.0); // uVp is 'projection * view' on the CPU side
    gl_Position = projection * vec4(vertex.xy, 0.0, 1.0); // uVp is 'projection * view' on the CPU side
    //gl_Position = vec4(vertex.xy, 0.0, 1.0);
    TexCoords = vTexCoord;
};
